uk.gov.hmrc.http.cache.client

# HttpCaching

###
Related Doc: package client

#### trait HttpCaching extends CachingVerbs

Linear Supertypes
CachingVerbs, AnyRef, Any
Known Subclasses
SessionCache, ShortLivedHttpCaching
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HttpCaching
2. CachingVerbs
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def baseUri: String

2. #### abstract def defaultSource: String

3. #### abstract def domain: String

4. #### abstract def http: CoreGet with CorePut with CoreDelete

   Definition Classes
     CachingVerbs

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def buildUri(source: String, id: String): String

   Attributes
     protected

6. #### def cache[A](source: String, cacheId: String, formId: String, body: A)(implicit wts: Writes[A], hc: HeaderCarrier, executionContext: ExecutionContext): Future[CacheMap]

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def delete(uri: String)(implicit hc: HeaderCarrier, executionContext: ExecutionContext): Future[HttpResponse]

   Definition Classes
     CachingVerbs

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def fetch(source: String, cacheId: String)(implicit hc: HeaderCarrier, executionContext: ExecutionContext): Future[Option[CacheMap]]

12. #### def fetchAndGetEntry[T](source: String, cacheId: String, key: String)(implicit hc: HeaderCarrier, rds: Reads[T], executionContext: ExecutionContext): Future[Option[T]]

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### def get(uri: String)(implicit hc: HeaderCarrier, executionContext: ExecutionContext): Future[CacheMap]

    Definition Classes
      CachingVerbs

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def put[T](uri: String, body: T)(implicit hc: HeaderCarrier, wts: Writes[T], executionContext: ExecutionContext): Future[CacheMap]

    Definition Classes
      CachingVerbs

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from CachingVerbs

### Inherited from AnyRef

### Inherited from Any

### Ungrouped